Page MenuHomePhabricator

IP exception for Ahmedabad University Wikipedia Workshop
Closed, ResolvedPublic

Description

Hi,

We are organizing Wikipedia Workshop at Ahmedabad, Gujarat, India and need IP exception as large number of students will take part in editing and creating new account.

Details:

  • Start: 2018-04-06, 9:00 +5:30
  • End: 2018-04-08 18:00 +5:30
  • Range: 111.93.247.206 and 182.72.29.130
  • Projects: enwiki, guwiki
  • Value: 250 //Mostly used for creating new account for new student
  • Instructor: Aniket Bhatt, Kartik Mistry, Sushant Savla

Thanks.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2018, 5:51 AM
Aniket added a comment.EditedApr 2 2018, 6:02 AM

From the computer labs at Ahmedabad University, approx 250 students will create new log-in during the workshop. Hence Whitelisting is very essential for the success of this workshop. Thanks in advance. Account creation would mostly happen through Gujarati Wikipedia.

Urbanecm claimed this task.Apr 2 2018, 6:38 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 2 2018, 6:38 AM
Urbanecm triaged this task as High priority.Apr 2 2018, 12:35 PM

This must be done in this SWAT week.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 2 2018, 12:35 PM

@Urbanecm Yes. Can you please submit patch? Or should I?

Change 423471 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] New throttle rule for Ahmedabad University Wikipedia Workshop

https://gerrit.wikimedia.org/r/423471

No problem, submitted. I have no problem with fulfiling those requests, but sometime I just claim them before I actually work on them. This is just for you to know somebody care about this (and for me to not forget at it). I scheduled this patch for upcoming SWAT window (in three minutes or so). Then I'll mark this as resolved.

Recapitulation (copied from the throttle definition) to ensure nothing was filled incorrectly, please check.

  • Start: 2018-04-06T9:00 +5:30
  • End: 2018-04-08T18:00 +5:30
  • IPs: '111.93.247.206', '182.72.29.130'
  • Projects: 'enwiki', 'guwiki', 'commonswiki'
  • Value: 300 // 250 expected
  • Instructor: Aniket Bhatt, Kartik Mistry, Sushant Savla

No problem, submitted. I have no problem with fulfiling those requests, but sometime I just claim them before I actually work on them. This is just for you to know somebody care about this (and for me to not forget at it). I scheduled this patch for upcoming SWAT window (in three minutes or so). Then I'll mark this as resolved.

Awesome. Thanks!

Change 423471 merged by jenkins-bot:
[operations/mediawiki-config@master] New throttle rule for Ahmedabad University Wikipedia Workshop

https://gerrit.wikimedia.org/r/423471

Mentioned in SAL (#wikimedia-operations) [2018-04-02T13:36:30Z] <twentyafterfour@tin> Synchronized wmf-config/throttle.php: SWAT: Sync throttle rules for T191187 (duration: 01m 15s)

Urbanecm moved this task from Waiting on review to To deploy on the User-Urbanecm board.
Urbanecm closed this task as Resolved.Apr 2 2018, 1:40 PM

Done.

Done.

Thanks. I'll submit revert once we're done with workshop.

Please do not submit revert, rules are time-limited and will be deleted when somebody will touch the file next time. Thanks!